package com.ruoyi.order.mapper;

import java.util.List;
import com.ruoyi.order.domain.TCanteenPayment;

/**
 * 支付记录Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-22
 */
public interface TCanteenPaymentMapper 
{
    /**
     * 查询支付记录
     * 
     * @param payId 支付记录主键
     * @return 支付记录
     */
    public TCanteenPayment selectTCanteenPaymentByPayId(Long payId);

    /**
     * 查询支付记录列表
     * 
     * @param tCanteenPayment 支付记录
     * @return 支付记录集合
     */
    public List<TCanteenPayment> selectTCanteenPaymentList(TCanteenPayment tCanteenPayment);

    /**
     * 新增支付记录
     * 
     * @param tCanteenPayment 支付记录
     * @return 结果
     */
    public int insertTCanteenPayment(TCanteenPayment tCanteenPayment);

    /**
     * 修改支付记录
     * 
     * @param tCanteenPayment 支付记录
     * @return 结果
     */
    public int updateTCanteenPayment(TCanteenPayment tCanteenPayment);

    /**
     * 删除支付记录
     * 
     * @param payId 支付记录主键
     * @return 结果
     */
    public int deleteTCanteenPaymentByPayId(Long payId);

    /**
     * 批量删除支付记录
     * 
     * @param payIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTCanteenPaymentByPayIds(Long[] payIds);
}
